com.tibbo.aggregate.common.action

## Class KeyStroke

- java.lang.Object
- - com.tibbo.aggregate.common.action.KeyStroke

-     public class KeyStroke
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `KeyStroke()`
    `protected` | `KeyStroke(javax.swing.KeyStroke keyStroke)`
    `` | `KeyStroke(java.lang.String keyStroke)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.swing.KeyStroke` | `getKeyStroke()`
    `static KeyStroke` | `getKeyStroke(char keyChar)`
    `static KeyStroke` | `getKeyStroke(java.lang.Character keyChar, int modifiers)`
    `static KeyStroke` | `getKeyStroke(int keyCode, int modifiers)`
    `static KeyStroke` | `getKeyStroke(int keyCode, int modifiers, boolean onKeyRelease)`
    `static KeyStroke` | `getKeyStroke(java.lang.String s)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyStroke

          protected KeyStroke()

    - #### KeyStroke

          public KeyStroke(java.lang.String keyStroke)

    - #### KeyStroke

          protected KeyStroke(javax.swing.KeyStroke keyStroke)

  - ### Method Detail

    - #### getKeyStroke

          public static KeyStroke getKeyStroke(char keyChar)

    - #### getKeyStroke

          public static KeyStroke getKeyStroke(java.lang.Character keyChar,
                                               int modifiers)

    - #### getKeyStroke

          public static KeyStroke getKeyStroke(int keyCode,
                                               int modifiers,
                                               boolean onKeyRelease)

    - #### getKeyStroke

          public static KeyStroke getKeyStroke(int keyCode,
                                               int modifiers)

    - #### getKeyStroke

          public static KeyStroke getKeyStroke(java.lang.String s)

    - #### getKeyStroke

          protected javax.swing.KeyStroke getKeyStroke()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`